--Turbine.Shell.WriteLine("--------------------------------------");
import "Thurallor.ChatFilters"

math.randomseed(Turbine.Engine.GetGameTime());

-- Create a card stack.
stack = ChatTabCardStack();
stack:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));
stack:SetZOrder(1);

-- Create a tab to go in the stack.
card = ChatTabCard(false, true);
tab = card:GetTabControl();
tab:SetLength(90);
tab:SetIndent(0);
--tab:SetText("Русский");
tab:SetText("Эмоции");

-- Add the tab to the stack.
stack:AddTabCard(card);

-- Activate chat parsing.
parser = ChatParser();
parser:AddFilter(card, RussianEmotesFilter);

-- Add command helper.
stack:SetCommands(RussianCommands);

local hello = L:GetText("/HelloMessage");
hello = string.gsub(hello, "<version>", plugin:GetVersion());
Turbine.Shell.WriteLine(hello);
_G.PutsPrefix = "<rgb=#DAA520>ChatFilters:</rgb> ";

-- Filling up the window seems to be necessary to get the scrollbar
-- to work right (i.e. to stick at the end when we add more lines).
for line = 1, 210, 1 do
    card:AddLine("");
end
