-- Translations for emotes done by the player, with or without a target indicated:
local playerInitiated = {
    --agree             Соглашаться
        ["You agree."] =
         "Вы соглашаетесь.",
        ["You agree with <target>."] =
         "Вы соглашаетесь. Правильно, <target>.",
    --ahem              Кашлять
        ["You cough politely. Ahem!"] =
         "Вы вежливо покашливаете. Кхе-кхе!",
        ["You direct a polite cough at <target>. Ahem!"] =
         "Вы привлекаете к себе внимание вежливым покашливанием. Кхе-кхе, <target>.",
    --angry             Злиться
        ["You get angry."] =
         "Вы злитесь",
        ["You are angry with <target>."] =
         "Вы злитесь. Берегись, <target>!",
    --assist            На помощь
        ["You need assistance!"] =
         "Вам нужна помощь!",
        ["You decide to assist <target>."] =
         "Вы спешите на выручку. Помощь идет, <target>!",
    --attack            В атаку!
        ["It is time to attack!"] =
         "Время идти в атаку!",
        ["You want to attack <target>."] =
         "Вы намерены броситься в атаку. Ну, держись, <target>!",
    --away              Отошел
        ["You go AFK."] =
         "Вы в режиме 'Нет у компьютера'.",
        ["You go AFK."] =
         "Вы в режиме 'Нет у компьютера'.",
    --beckon            Подозвать
        ["You beckon to no-one in particular."] =
         "Вы призывно машете рукой.",
        ["You beckon to <target>."] =
         "Вы призывно машете рукой. Сюда, <target>!",
    --beg               Умолять
        ["You beg for help."] =
         "Вы молите о помощи.",
        ["You beg <target> for help."] =
         "Вы молите о помощи. Не откажи, <target>!",
    --bio               Надо в туалет
        ["You go off for a bio break."] =
         "Вам надо в туалет.",
    --blush             Покраснеть
        ["You blush crimson."] =
         "Вы заливаетесь краской",
        ["You blush when you glance at <target>."] =
         "Ах, <target>!.. Вы краснеете.",
    --boo               Призрак
        ["You jump out and shout BOO!."] =
         "Вы выпрыгиваете из укрытия и пугаете народ.",
        ["You startle <target>."] =
         "У-у-у! Страшно, <target>?",
    --bored             Скучать
        ["You look bored."] =
         "Вы откровенно скучаете.",
        ["You yawn at <target> in boredom."] =
         "Вы зеваете. <target> нагоняет на вас скуку.",
    --bother            Докучать
        ["You try to bother anyone around."] =
         "Вы докучаете всем вокруг вас.",
        ["You try to bother <target>."] =
         "Вы решаете кому-нибудь понадоедать. Эй, <target>!",
    --bow               Поклониться
        ["You bow."] =
         "Вы кланяетесь.",
        ["You bow deeply before <target>."] =
         "Вы отвешиваете глубокий поклон. Мое почтение, <target>!",
    --brb               Скоро буду
        ["You'll be back shortly..."] =
         "Вы скоро вернетесь...",
        ["<target> should wait, you'll be right back..."] =
         "<target> подождет - вы скоро будете...",
    --bringiton         К бою готов
        ["<name> is ready to rumble."] =
         "Вы готовы к бою!",
        ["You show <target> you are ready to rumble."] =
         "Пусть <target> знает, что вы готовы к бою!",
    --burp              Отрыжка
        ["Burp!"] =
         "Бэ-э-э!",
        ["You burp at <target>. How rude!"] =
         "Вы рыгаете. <target> все слышит! Фи!",
    --bye               Попрощаться
        ["You wave goodbye."] =
         "Вы машете рукой на прощание.",
        ["You wave goodbye to <target>."] =
         "Вы прощально машете рукой. До встречи, <target>!",
    --calm              Успокоить
        ["You try to calm everyone down."] =
         "Вы пытаетесь всех успокоить.",
        ["You try to calm <target> down."] =
         "Вы бормочете умиротворяющие слова. Спокойно, спокойно, <target>!",
    --challenge         Бросить вызов
        ["You roar your challenge to the heavens!"] =
         "Вы бросаете вызов небесам!",
        ["You challenge <target> to personal battle!"] =
         "Вы бросаете сопернику вызов! Выходи на честный бой, <target>!",
    --charge            В атаку!
        ["You start to charge."] =
         "Вы призываете всех броситься в атаку.",
        ["You start to charge <target>."] =
         "Вы принимаете командование на себя. В атаку, <target>!",
    --cheer             Одобрять
        ["You cheer."] =
         "Вы не можете удержаться от одобрительного возгласа.",
        ["You cheer at <target>."] =
         "Вы не можете удержаться от одобрительного возгласа. Молодец, <target>!",
    --chickenchip       Подсечка клюшкой в курином гольфе
        ["?"] =
         "Вы проводите красивую подсечку. Курице не позавидуешь.",
        ["?"] =
         "Вы подсекаете курицу, направляя ее туда, где стоит <target>.",
    --chickendrive      Прямой удар клюшкой в курином гольфе
        ["?"] =
         "Вы проводите прямой удар. Курице не позавидуешь.",
        ["?"] =
         "Вы проводите прямой удар по курице, направляя ее туда, где стоит <target>.",
    --chickenfeather    Подбрасывать перья
        ["?"] =
         "Вы подбрасываете в воздух перья.",
        ["?"] =
         "Вы шутливо кидаетесь перьями. Прячься, <target>!",
    --chickenputt       Завершающий удар клюшкой в курином гольфе
        ["?"] =
         "Вы проводите меткий завершающий удар. Курице не позавидуешь.",
        ["?"] =
         "Вы проводите удар, загоняя курицу туда, где стоит <target>.",
    --chip              Подсечка клюшкой
        ["You perform a nice chip."] =
         "Вы делаете красивую подсечку.",
        ["You chip the ball at <target>."] =
         "Вы подсекаете мяч, направляя его туда, где стоит <target>.",
    --chuckle           Хихикать
        ["You chuckle."] =
         "Вы хихикаете.",
        ["You chuckle at <target>."] =
         "<target> вызывает у вас хихиканье.",
    --clap              Похлопать
        ["You clap your hands."] =
         "Вы хлопаете в ладоши.",
        ["You clap for <target>."] =
         "Вы хлопаете в ладоши. Браво, <target>!",
    --coinflip          Орел или решка
        ["?"] =
         "Вы подбрасываете монетку.",
    --confused          Замешательство
        ["You look confused."] =
         "Вы в замешательстве.",
        ["You look at <target> in confusion."] =
         "Вы в замешательстве. Что такое, <target>?",
    --congratulate      Поздравить
        ["You congratulate everyone. Well done!"] =
         "Вы поздравляете всех вокруг. Вот это справились!",
        ["You congratulate <target>. Good job!"] =
         "Вы считаете, что <target> заслуживает поздравлений.",
    --cough             Кашлять
        ["You cough."] =
         "Вы кашляете.",
        ["You give <target> a polite cough."] =
         "Вы вежливо покашливаете. Кхе-кхе, <target>!",
    --counterfeit       Проба на зуб
        ["?"] =
         "Вы пробуете монету на зуб.",
    --cower             Испугаться
        ["You cower in fear!"] =
         "Вы ежитесь от страха!",
        ["You cower in fear before <target>!"] =
         "<target>! Вы сжимаетесь в комок от страха.",
    --crazy             Безумие
        ["You look a little crazy."] =
         "Ваш взгляд становится безумным.",
        ["You indicate that <target> may be crazy."] =
         "Вы обращаете всеобщее внимание на то, что <target> явно не в себе.",
    --cry               Плакать
        ["You begin to cry."] =
         "Вы начинаете рыдать.",
    --curtsey           Реверанс
        ["You curtsey politely."] =
         "Вы делаете вежливый реверанс.",
        ["You give <target> a polite curtsey."] =
         "Вы приседаете в реверансе. Мое почтение, <target>!",
    --dance             Приплясывать
    --dance1            Первое па
    --dance2            Второе па
    --dance3            Третье па
        ["You dance around."] =
         "Вы пускаетесь в пляс.",
        ["You begin dancing with <target>."] =
         "Вы выбираете себе партнера для танцев. Спляшем, <target>?",
    --dance_dwarf       Первый танец гномов
    --dance_dwarf2      Второй танец гномов
        ["You dance around like a Dwarf."] =
         "Вы пляшете так, как вас учили гномы.",
        ["You dance with <target>."] =
         "Вы выбираете себе партнера для танцев. Спляшем, <target>?",
    --dance_elf         Первый танец эльфов
    --dance_elf2        Второй танец эльфов
        ["You dance around like an Elf."] =
         "Вы пляшете так, как вас учили эльфы.",
        ["You dance with <target>."] =
         "Вы выбираете себе партнера для танцев. Спляшем, <target>?",
    --dance_hobbit      Первый танец хоббитов
    --dance_hobbit2     Второй танец хоббитов
        ["You dance around like a Hobbit."] =
         "Вы пляшете так, как вас учили хоббиты.",
        ["You dance with <target>."] =
         "Вы выбираете себе партнера для танцев. Спляшем, <target>?",
    --dance_jig         Джига
        ["You dance the Jig."] =
         "Вы танцуете джигу.",
        ["You dance with <target>."] =
         "Вы выбираете себе партнера для танцев. Спляшем, <target>?",
    --dance_man         Первый танец людей
    --dance_man2        Второй танец людей
    --dance_man3        Третий танец людей
        ["You dance around like a Man."] =
         "Вы пляшете так, как вас учили люди.",
        ["You dance around like a Woman."] =
         "Вы пляшете так, как вас учили люди.",
        ["You dance with <target>."] =
         "Вы выбираете себе партнера для танцев. Спляшем, <target>?",
    --dowse             Лозоходство
        ["?"] =
         "Вы ищете воду, как заправский лозоход.",
    --dream             Спать
        ["?"] =
         "Вам хочется спать.",
        ["?"] =
         "Вам непонятно, как <target> может держать глаза открытыми.",
    --drink             Выпить
        ["You drink."] =
         "Вы выпиваете.",
        ["You drink to <target>'s health."] =
         "Вы поднимаете бокал. Твое здоровье, <target>!",
    --drinkboot         Выпить из сапога
        ["?"] =
         "Вы пьете из сапога",
    --drive             Прямой удар клюшкой
        ["You perform a nice drive."] =
         "Вы проводите прямой удар по мячу.",
        ["You drive the ball at <target>."] =
         "Вы бьете по мячу, направляя его туда, где стоит <target>.",
    --drool             Слюнки текут
        ["You drool a little."] =
         "У вас слюнки текут.",
        ["You drool a little at <target>."] =
         "<target>! У вас слюнки текут.",
    --drunk             Выпивоха
        ["You stumble about drunkenly."] =
         "Вы едва держитесь на ногах.",
        ["You stumble drunkenly into <target>."] =
         "Вы едва держитесь на ногах и поминутно натыкаетесь на окружающих. Прости, Конюх... Ик!..",
    --dustoff           Отряхнуться
        ["You dust yourself off."] =
         "Вы отряхиваетесь.",
    --eat               Есть
        ["You have a little bite to eat."] =
         "Вы слегка перекусываете.",
    --faint             Обморок
        ["You faint dead away."] =
         "Вы падаете без чувств.",
        ["You glance at <target> and faint dead away."] =
         "<target>! Вы лишаетесь чувств.",
    --feather           Горсть перьев
        ["You toss feathers into the air."] =
         "Вы подбрасываете в воздух перья.",
        ["You toss feathers at <target>!"] =
         "Вы шутливо кидаетесь перьями. Прячься, <target>!",
    --fidget            Нервничать
        ["You fidget restlessly."] =
         "Вы нервно суетитесь.",
        ["You glance at <target> and fidget nervously."] =
         "<target>! Вы начинаете нервно суетиться.",
    --fight             Драка!
        ["You want to start a fight!"] =
         "Вы готовы к драке!",
        ["You are ready to fight <target>."] =
         "Вы готовы к драке. Ну, держись, <target>!",
    --firebreath        Огненное дыхание
        ["You perform a firebreathing act!"] =
         "Вы изрыгаете пламя!",
        ["You put on a fire-breathing performance for <target>!"] =
         "Вы изрыгаете пламя. Нравится, <target>?",
    --fishslap          Пощечина рыбой
        ["You slap yourself on the cheek with a cold fish."] =
         "Вы шлепаете себя по щеке холодной рыбой.",
        ["You slap <target> on the cheek with a cold fish."] =
         "Вы отвешиваете пощечину холодной рыбой. Получай, <target>!",
    --flex              Показать мускулы
        ["You flex mightily!"] =
         "Вы демонстрируете всем свои мускулы.",
        ["You flex mightily before <target>."] =
         "Вы демонстрируете свои мускулы. Как тебе, <target>?",
    --flip              Кульбит
        ["You perform a flip!"] =
         "Вы делаете кульбит!",
    --flirt             Флиртовать
        ["You flirt with yourself. Interesting."] =
         "Вы флиртуете сами с собой. Н-да, дожили.",
        ["You flirt with <target>."] =
         "А <target> очень даже ничего. Вы начинаете флиртовать.",
    --followme          Следуй за мной
        ["You indicate that you should be followed."] =
         "Вы призываете всех следовать за вами.",
        ["You tell <target> to follow."] =
         "Вы делаете призывный жест. Следуй за мной, <target>!",
    --giggle            Хихикать
        ["You giggle uncontrollably."] =
         "Вы безудержно хихикаете.",
        ["You giggle uncontrollably at <target>."] =
         "Да здесь <target>! Вы безудержно хихикаете.",
    --groundroll        Катание по земле
        ["You roll around on the ground."] =
         "Вы начинаете кататься по земле.",
    --grumble           Ворчать
        ["You grumble about this and that."] =
         "Вы ворчите себе под нос.",
        ["You grumble at <target>."] =
         "Вы ворчите. Эх, <target>...",
    --hail              Приветствовать
        ["You hail everyone."] =
         "Вы приветствуете всех вокруг.",
        ["You hail <target>."] =
         "Это же <target>! Вы поднимаете руку в приветственном жесте.",
    --handstand         Стойка на руке
        ["You perform a handstand."] =
         "Вы делаете стойку на руках.",
        ["You perform a handstand for <target>."] =
         "Вы делаете стойку на руках. Можешь так, <target>?",
    --heave             Рвота
        ["You heave and it is not a pretty sight. Disgusting."] =
         "Вас тошнит. Какая мерзость!",
        ["?"] =
         "Вы сгибаетесь в приступе рвоты. <target> едва успевает отскочить. Фу-у!",
    --heropose          Героическая поза
        ["You pose heroically! Very nice."] =
         "Вы принимаете героическую позу! Очень мило.",
        ["You pose heroically before <target>."] =
         "Вы принимаете героическую позу. Смотри, <target>! Я герой!",
    --howl              Вой
        ["You howl!"] =
         "Вы начинаете выть!",
        ["You howl at <target>!"] =
         "<target>! Вы начинаете выть.",
    --hug               Обнять
        ["You hug yourself. Don't you feel better?"] =
         "Вы обнимаете сами себя. Все будет хорошо…",
        ["You give <target> a big hug."] =
         "<target>! Вы простираете объятия.",
    --impatient         Нетерпение
        ["You seem impatient - let's get on with it!"] =
         "Вы нетерпеливо смотрите по сторонам. Может быть, начнем?",
        ["You look at <target> impatiently."] =
         "Вы нетерпеливо смотрите по сторонам. Может быть, начнем, <target>?",
    --innocent          Невинность
        ["Who, me?"] =
         "Я тут не при чем!",
        ["You let <target> know you are innocent."] =
         "Вы сама невинность. Я тут не при чем, <target>!",
    --inspectgem        Огранщик
        ["You inspect for quality."] =
         "Вы осматриваете самоцвет, как заправский ювелир.",
    --jazzhands         Джаз
        ["You vigourously shake your hands."] =
         "Вы энергично встряхиваете руками.",
        ["You vigourously shake your hands at <target>. Look at me!"] =
         "Вы энергично встряхиваете руками. Посмотри на меня, <target>!",
    --jjacks            Марионетка
        ["You do some jumping jacks."] =
         "Вы изображаете марионетку.",
    --juggle            Жонглировать
        ["You perform a juggling act!"] =
         "Вы жонглируете!",
        ["You begin juggling for <target>."] =
         "Вы жонглируете. Смотри, <target>!",
    --jump              Прыжок
        ["You jump around."] =
         "Вы весело прыгаете.",
        ["You jump around for <target>."] =
         "Вы весело прыгаете. Какой чудесный день, <target>!",
    --kiss              Воздушный поцелуй
        ["You pucker up - but who are you kissing exactly?"] =
         "Губы вы вытянули - а кого будем целовать?",
        ["You kiss <target>."] =
         "<target>! Вы решаете поцеловать предмет своей страсти.",
    --kneel             Преклонить колено
        ["You kneel."] =
         "Вы опускаетесь на колени.",
        ["You kneel before <target>."] =
         "<target>! Вы опускаетесь на колени.",
    --laugh             Смеяться
        ["You laugh."] =
         "Вы смеетесь.",
        ["You laugh at <target>."] =
         "Вы хохочете. Какое же ты смешное создание, <target>!",
    --liedown           Лечь
        ["You lie down."] =
         "Вы ложитесь.",
        ["You lie down next to <target>."] =
         "О, <target>! Вы ложитесь рядышком.",
    --lol               Хохотать
        ["You laugh out loud."] =
         "Вы заливаетесь громким смехом.",
        ["You laugh out loud at <target>."] =
         "Вы громко хохочете. Какое же ты смешное создание, <target>!",
    --look              Смотреть
        ["You peer into the distance."] =
         "Вы смотрите вдаль.",
        ["You look at <target>."] =
         "Вы оглядываетесь. Да здесь <target>!",
    --lookaround        Осмотреться
        ["You look around."] =
         "Вы оглядываетесь.",
        ["You look at <target>."] =
         "Вы оглядываетесь. Да здесь <target>!",
    --meditate          Размышлять
        ["You sit and meditate quietly."] =
         "Вы погружаетесь в размышления.",
        ["You sit and meditate with <target>."] =
         "Вы погружаетесь в размышления. Присоединишься, <target>?",
    --mock              Дразниться
        ["You make a mockery of yourself."] =
         "Вы передразниваете сами себя.",
        ["You mock <target>."] =
         "<target> - прекрасная мишень для шуток! Вы начинаете дразниться.",
    --mood_angry        Настроение: злобное
        ["You are angry."] =
         "Вы злитесь.",
        ["You are angry at <target>."] =
         "Вы злитесь. Ух, <target>!..",
    --mood_apprehensive Настроение: тревожное
        ["You are apprehensive."] =
         "Вам тревожно.",
        ["You are apprehensive of <target>."] =
         "<target> вызывает у вас тревогу.",
    --mood_calm         Настроение: спокойное
        ["You are calm."] =
         "Вы спокойны.",
        ["You are calmed by <target>."] =
         "<target>! На душе у вас становится спокойно.",
    --mood_confused     Настроение: смущенное
        ["You are confused."] =
         "Вы в замешательстве.",
        ["You are confused by <target>."] =
         "<target> чем-то вас смущает.",
    --mood_fearful      Настроение: испуганное
        ["You are fearful."] =
         "Вы объяты страхом.",
        ["You are fearful of <target>."] =
         "<target>!!! Вы ежитесь от страха.",
    --mood_happy        Настроение: счастливое
        ["You are happy."] =
         "Вы счастливы.",
        ["<target> has made you happy."] =
         "<target>! Один твой взгляд - счастье.",
    --mood_mischievous  Настроение: вредное
        ["You are mischievous."] =
         "Вы вредничаете.",
        ["<target> has made you mischievous."] =
         "<target> пробуждает в вас желание повредничать.",
    --mood_sad          Настроение: грустное
        ["You are sad."] =
         "Вы грустите.",
        ["<target> has made you sad."] =
         "<target> пробуждает в вас печаль.",
    --mood_sleepy       Настроение: сонное
        ["You are sleepy."] =
         "Вы засыпаете на ходу.",
        ["<target> has made you sleepy."] =
         "<target> нагоняет на вас дремоту.",
    --mood_solemn       Настроение: торжественное
        ["You are solemn."] =
         "Вы принимаете торжественный вид.",
        ["<target> has made you solemn."] =
         "<target> заставляет вас принять торжественный вид",
    --mood_surprised    Настроение: изумленное
        ["You are surprised."] =
         "Вы в изумлении.",
        ["You are surprised by <target>."] =
         "<target> приводит вас в изумление.",
    --mountbow          Поклон верхом
        ["Your mount bows at your command."] =
         "Вы заставляете скакуна поклониться.",
        ["Your mount bows to <target> at your command."] =
         "<target>! Вы заставляете своего скакуна поклониться.",
    --mountkick         Удар копытами
        ["Your mount kicks up at your command."] =
         "Ваш скакун начинает брыкаться.",
        ["Your mount kicks up at <target> at your command."] =
         "<target> подходит ближе, и ваш скакун начинает брыкаться.",
    --mountrearup       На дыбы
        ["Your mount rears up in a flourish."] =
         "Ваш скакун встает на дыбы.",
        ["Your mount rears up toward <target> in a flourish."] =
         "<target> подходит ближе, и ваш скакун встает на дыбы.",
    --mourn             Скорбь
        ["You mourn for the sorry state of the world."] =
         "Вы скорбите о несовершенстве этого мира.",
        ["You mourn the fate of <target>."] =
         "Вы склоняете голову. <target>, твоя судьба заслуживает скорби.",
    --mumble            Бормотать
        ["You mumble something."] =
         "Вы что-то бормочете.",
        ["You mumble at <target>."] =
         "Вы что-то бормочете. Только <target> и может разобрать слова.",
    --munch             Жевать
        ["You munch on some food."] =
         "Вы уминаете еду.",
    --no                Нет
        ["Nope. You don't think so."] =
         "Нет. Вы так не думаете.",
        ["You indicate 'no' to <target>."] =
         "Нет, <target>! И точка.",
    --nothing           Ничего
        ["You do nothing."] =
         "Вы ничего не делаете.",
        ["You don't do anything to <target>."] =
         "Вы ничего не делаете. Ясно, <target>?",
    --oop               Нет энергии
        ["You announce that you are out of power."] =
         "Вы объявляете, что у вас не осталось энергии.",
        ["You indicate you are out of power to <target>."] =
         "<target>, придется подождать, прежде чем снова бросаться в бой!",
    --pan               Золотоискатель
        ["?"] =
         "Вы просеиваете породу в поисках золота.",
        ["?"] =
         "Вы просеиваете породу в поисках золота.",
    --paper             Бумага
        ["You throw paper in a test of stone-paper-scissor."] =
         "Вы выбрасываете «бумагу» в игре «Камень-ножницы-бумага».",
        ["You throw paper against <target> in a test of stone-paper-scissor."] =
         "Вы выбрасываете «бумагу». А что у <target>?",
    --pat               Погладить
        ["You pat your belly happily."] =
         "Вы поглаживаете себя по животу.",
        ["You pat <target> on the head."] =
         "<target> заслуживает поглаживания по голове!",
    --pick              Поправить трусы
        ["You pick an uncomfortable wedgie."] =
         "Вы поправляете неудобные трусы.",
    --point             Указывать
        ["You point into the distance."] =
         "Вы указываете в неопределенном направлении.",
        ["You point at <target>."] =
         "Вы тычете пальцем: это <target>!",
    --poke              Тыкать пальцем
        ["You poke yourself. Odd."] =
         "Вы толкаете соседа в бок. Эй, N!",
        ["You poke <target>. Hey!"] =
         "Вы толкаете соседа в бок. Эй, <target>!",
    --pose              Позировать
        ["You pose!"] =
         "Вы позируете!",
        ["You pose before <target>."] =
         "Вы позируете. Нравится, <target>?",
    --pushups           Отжиматься
        ["You drop and start pushing."] =
         "Вы принимаете упор лежа и начинаете отжиматься",
    --putt              Завершающий удар клюшкой
        ["You perform a nice putt."] =
         "Вы проводите меткий завершающий удар.",
        ["?"] =
         "Вы проводите удар, загоняя мяч туда, где стоит <target>.",
    --ready             Готовность
        ["You are ready."] =
         "Вы готовы.",
        ["You indicate to <target> that you are ready."] =
         "Вы выражаете готовность. Можем начинать, <target>!",
    --resist            Сопротивляться
        ["You draw upon hidden reserves of strength to resist falling into despair."] =
         "Вы собираетесь с духом и не даете волю отчаянию.",
    --rest              Отдохнуть
        ["You need to rest for a bit."] =
         "Вам нужно немного отдохнуть.",
        ["You ask <target> to stop for a short rest."] =
         "Вы просите о передышке. Давай отдохнем, <target>!",
    --rich              Богач
        ["?"] =
         "Вы богаты!",
        ["?"] =
         "Вы богаты!",
    --roar              Рычать
        ["You let out a mighty ROAR!"] =
         "Вы грозно Р-Р-РЫЧИТЕ!",
        ["You ROAR at <target>!"] =
         "Вы Р-Р-РЫЧИТЕ. Бойся, <target>!",
    --rude              Непристойный жест
        ["You make a rude gesture towards no-one in particular."] =
         "Вы демонстрируете непристойный жест неизвестно кому.",
        ["You gesture rudely at <target>."] =
         "<target>? Вы делаете непристойный жест.",
    --sad               Печаль
        ["You look sad."] =
         "Вы в печали.",
        ["You become sad with <target>."] =
         "<target> заставляет вас грустить.",
    --salute            Салют
        ["You salute smartly."] =
         "Вы энергично салютуете.",
        ["You give <target> a quick salute."] =
         "Вы салютуете. Здравия желаю, <target>!",
    --scissor           Ножницы
        ["You throw scissor in a test of stone-paper-scissor."] =
         "Вы выбрасываете «ножницы» в игре «Камень-ножницы-бумага».",
        ["You throw scissor against <target> in a test of stone-paper-scissor."] =
         "Вы выбрасываете «ножницы». А что у <target>?",
    --scold             Браниться
        ["Who are you scolding?"] =
         "И кого вы браните?",
        ["You scold <target>."] =
         "Вы бранитесь. <target> кого угодно выведет из себя",
    --scratch           Чесаться
        ["You scratch uncomfortably."] =
         "Вы нервно чешетесь.",
    --shakefist         Грозить кулаком
        ["You shake your fist in the air."] =
         "Вы потрясаете кулаком в воздухе.",
        ["You shake your fist angrily at <target>!"] =
         "Вы злобно грозите кулаком. Берегись, <target>!",
    --shiver            Дрожать
        ["You shiver for a moment."] =
         "Вас бьет дрожь.",
        ["You look at <target> and shiver."] =
         "<target> заставляет вас содрогнуться.",
    --shrug             Пожать плечами
        ["You shrug."] =
         "Вы пожимаете плечами.",
        ["You shrug at <target>."] =
         "Вы пожимаете плечами. Странное ты создание, <target>.",
    --sigh              Вздохнуть
        ["You sigh."] =
         "Вы вздыхаете.",
        ["You sigh at <target>."] =
         "Вы тяжело вздыхаете. Увы, <target>!",
    --sing              Петь
        ["You sing a brief melody."] =
         "Вы напеваете простенькую песенку.",
        ["You sing to <target>."] =
         "Вы напеваете простенькую песенку. Нравится, <target>?",
    --sit               Сесть
        ["You sit."] =
         "Вы садитесь.",
        ["You sit with <target>."] =
         "Ага! <target>! Вы садитесь рядышком.",
    --slap              Пощечина
        ["You slap yourself on the cheek."] =
         "Вы бьете себя по щеке.",
        ["You slap <target> on the cheek."] =
         "Вы влепляете соседу пощечину. Получи, <target>!",
    --smackhead         Удар по голове
        ["You smack your head. Idiot!"] =
         "Вы ударяете себя по голове. Вот балда!",
    --smoke             Курить
        ["You begin to smoke."] =
         "Вы закуриваете.",
        ["You begin to smoke with <target>."] =
         "Вы набиваете трубочку. Покурим, <target>?",
    --smoke1            Поперхнуться дымом
        ["You choke on your pipe smoke."] =
         "Вы поперхнулись трубочным дымом.",
    --sneeze            Чихание
        ["You sneeze. Achoo!"] =
         "Вы громко чихаете. Апчхи!",
        ["You sneeze at <target>."] =
         "Вы громко чихаете. Прости, <target>!",
    --snowwizard        Снежный маг
        ["You create a snow wizard."] =
         "Вы изображаете снежного мага.",
    --sorry             Извиняться
        ["Oops. That was your mistake."] =
         "Ох... Признаю, моя вина.",
        ["You apologise to <target>."] =
         "Вы извиняетесь. Прости, <target>, моя вина",
    --spin              Пируэт
        ["You spin around. Wheee!"] =
         "Вы делаете красивый пируэт.",
        ["You spin around into <target>."] =
         "Вы делаете красивый пируэт. Нравится, <target>?",
    --stare             Пристально глядеть
        ["You stare off into space."] =
         "Вы пялитесь в пустоту.",
        ["You give <target> a good, hard stare."] =
         "<target> заслуживает этого тяжелого, неодобрительного взгляда.",
    --stone             Камень
        ["You throw stone in a test of stone-paper-scissor."] =
         "Вы выбрасываете «камень» в игре «Камень-ножницы-бумага».",
        ["You throw stone against <target> in a test of stone-paper-scissor."] =
         "Вы выбрасываете «камень» что у <target>?",
    --story             Рассказать историю
        ["You tell a story."] =
         "Вы рассказываете историю.",
        ["You tell a story to <target>."] =
         "Вы рассказываете историю. Слушай, <target>!",
    --stretch           Потягиваться
        ["You stretch your muscles. Time for adventure!"] =
         "Вы потягиваетесь. Пора на поиски приключений!",
        ["You make sure <target> notices you're stretching. You are ready for some adventure!"] =
         "Вы потягиваетесь. <target> наверняка заметит этот жест и поймет, что пора на поиски приключений!",
    --succumb           Отчаяние
        ["You succumb to despair."] =
         "Вы впадаете в отчаяние.",
        ["You gaze upon <target> and succumb to despair."] =
         "Да это же <target>!.. Вы впадаете в отчаяние.",
    --surrender         Сдаюсь!
        ["You surrender!"] =
         "Вы сдаетесь!",
        ["You surrender to <target>!"] =
         "Вы сдаетесь на милость победителя. Верши мою судьбу, <target>!",
    --sweat             Потеть
        ["You sweat a bit."] =
         "Вы покрываетесь потом.",
        ["<target> causes you to sweat a bit."] =
         "<target> заставляет вас потеть.",
    --swordsalute       Салют мечом
        ["You draw your sword and salute!"] =
         "Вы обнажаете меч и салютуете!",
        ["You draw your sword in salute to <target>!"] =
         "Вы обнажаете меч и салютуете. Здравия желаю, <target>!",
    --talk              Говорить
        ["You chatter away to anyone willing to listen."] =
         "Вы болтаете со всеми, кто готов вас слушать.",
        ["You talk with <target>."] =
         "У вас настроение как раз для беседы. Поговорим, <target>?",
    --tantrum           Гнев
        ["You throw a violent tantrum."] =
         "Вы вспыхиваете от гнева.",
        ["You launch a violent tantrum at <target>!"] =
         "Вы готовы сорвать гнев на ком угодно. Под руку подворачивается <target>...",
    --tear              Слеза
        ["You shed a single tear."] =
         "Вы роняете скупую слезу.",
        ["You shed a single tear for <target>."] =
         "Вы роняете скупую слезу. Эх, <target>!",
    --thank             Поблагодарить
        ["You give a hearty thank-you to those around."] =
         "Вы сердечно благодарите окружающих.",
        ["You thank <target> heartily for his help!"] =
         "Вы рассыпаетесь в благодарностях. Спасибо за помощь, <target>!",
        ["You thank <target> heartily for her help!"] =
         "Вы рассыпаетесь в благодарностях. Спасибо за помощь, <target>!",
    --think             Подумать
        ["You think about what's next."] =
         "Вы думаете о том, что делать дальше.",
        ["You think about <target>."] =
         "Вы задумываетесь. Что делать дальше, <target>?",
    --tickle            Щекотка
        ["You tickle yourself."] =
         "Вы щекочете сами себя. Хи-хи!",
        ["You tickle <target>."] =
         "Интересно, <target> боится щекотки? Сейчас проверим!",
    --toast             Тост
        ["You raise a mug and toast to years past."] =
         "Вы поднимаете кружку в память о минувших годах.",
        ["You raise a mug to <target>."] =
         "Вы замечаете, что рядом <target>, и поднимаете кружку в честь боевого товарища.",
    --wait              Подождать
        ["You make it obvious you want to wait."] =
         "Вы всячески показываете, что хотите подождать",
        ["You ask <target> to wait."] =
         "Вы просите подождать. Не торопись, <target>!",
    --warmhands         Греть руки
        ["You warm your hands."] =
         "Вы греете озябшие руки.",
    --wave              Помахать рукой
        ["You wave to everyone."] =
         "Вы машете всем вокруг.",
        ["You wave to <target>."] =
         "Вы машете рукой. Привет, <target>!",
    --whippitydo        Восхищаться
        ["You are just SO excited."] =
         "Вы в восхищении.",
        ["You don't seem so thrilled with <target>."] =
         "<target>, похоже, вам очень нравится.",
    --whistle           Свистеть
        ["You whistle. Over here!"] =
         "Вы свистите. Сюда",
        ["You whistle at <target>. Hey there."] =
         "Вы свистите. Эй, <target>!",
    --wince             Морщиться
        ["You involuntarily wince."] =
         "Вы невольно морщитесь.",
        ["You look at <target> and wince involuntarily."] =
         "Да это же <target>! Вы невольно морщитесь.",
    --wink              Подмигнуть
        ["You wink. You know what's going on."] =
         "Вы подмигиваете. Уж вы-то знаете, что происходит.",
        ["You wink at <target>. Let him wonder..."] =
         "Вы подмигиваете. Пусть <target> гадает, что происходит…",
        ["You wink at <target>. Let her wonder..."] =
         "Вы подмигиваете. Пусть <target> гадает, что происходит…",
    --wipesweat         Пот со лба
        ["You wipe sweat from your brow. That was a close one."] =
         "Вы вытираете пот со лба: уфф!",
    --yawn              Зевать
        ["You let out a big yawn."] =
         "Вы глубоко зеваете.",
        ["You yawn at <target>."] =
         "Вы зеваете. Ты зануда, <target>.",
    --yes               Да
        ["You agree."] =
         "Вы соглашаетесь.",
        ["You agree with <target>."] =
         "Вы согласно киваете. Конечно, <target>!",
};

-- Translations for emotes done by another player, with no target indicated.
local otherPlayerNoTarget = {
    --agree             Соглашаться
        ["<name> agrees."] =
         "<name> соглашается.",
    --ahem              Кашлять
        ["<name> coughs politely. Ahem!"] =
         "<name> вежливо покашливает. Кхе-кхе!",
    --angry             Злиться
        ["<name> appears angry."] =
         "<name> злится.",
    --assist            На помощь
        ["<name> needs assistance!"] =
         "<name> просит о помощи!",
    --attack            В атаку!
        ["<name> wants to start the attack!"] =
         "<name> собирается идти в атаку!",
    --away              Отошел
        ["<name> goes AFK."] =
         "<name> нет у компьютера.",
    --beckon            Подозвать
        ["<name> beckons to no-one in particular."] =
         "<name> призывно машет.",
    --beg               Умолять
        ["<name> begs for help."] =
         "<name> умоляет о помощи.",
    --bio               Надо в туалет
        ["<name> goes off for a bio break."] =
         "<name> отходит в туалет.",
        ["<name> goes off to relieve himself."] =
         "<name> отходит в туалет.",
        ["<name> goes off to relieve herself."] =
         "<name> отходит в туалет.",
    --blush             Покраснеть
        ["<name> blushes crimson red."] =
         "<name> заливается краской.",
    --boo               Призрак
        ["?"] =
         "<name> пугает народ.",
    --bored             Скучать
        ["<name> looks rather bored."] =
         "<name> зевает от скуки. ",
    --bother            Докучать
        ["<name> is being a bother."] =
         "<name> всем докучает.",
    --bow               Поклониться
        ["<name> bows deeply."] =
         "<name> отвешивает глубокий поклон.",
    --brb               Скоро буду
        ["<name> will be right back..."] =
         "<name> скоро вернется...",
    --bringiton         К бою готов
        ["?"] =
         "",
    --burp              Отрыжка
        ["<name> burps loudly."] =
         "<name> громко рыгает.",
    --bye               Попрощаться
        ["<name> waves goodbye."] =
         "<name> машет на прощание рукой.",
    --calm              Успокоить
        ["<name> encourages everyone to remain calm."] =
         "<name> призывает всех к спокойствию.",
    --challenge         Бросить вызов
        ["<name> challenges the heavens themselves!"] =
         "<name> бросает вызов небесам.",
    --charge            В атаку!
        ["<name> starts to charge."] =
         "<name> призывает всех броситься в атаку.",
    --cheer             Одобрять
        ["<name> cheers."] =
         "<name> не может удержаться от одобрительного возгласа.",
    --chickenchip       Подсечка клюшкой в курином гольфе
        ["?"] =
         "",
    --chickendrive      Прямой удар клюшкой в курином гольфе
        ["?"] =
         "",
    --chickenfeather    Подбрасывать перья
        ["?"] =
         "",
    --chickenputt       Завершающий удар клюшкой в курином гольфе
        ["?"] =
         "",
    --chip              Подсечка клюшкой
        ["<name> performs a nice chip."] =
         "<name> делает красивую подсечку.",
    --chuckle           Хихикать
        ["<name> chuckles."] =
         "<name> хихикает.",
    --clap              Похлопать
        ["<name> claps his hands."] =
         "<name> хлопает в ладоши.",
        ["<name> claps her hands."] =
         "<name> хлопает в ладоши.",
    --coinflip          Орел или решка
        ["?"] =
         "<name> подбрасывает монетку.",
    --confused          Замешательство
        ["<name> looks confused."] =
         "<name> в замешательстве.",
    --congratulate      Поздравить
        ["<name> congratulates everyone for a job well done."] =
         "<name> поздравляет всех с победой.",
    --cough             Кашлять
        ["<name> coughs."] =
         "<name> покашливает.",
    --counterfeit       Проба на зуб
        ["?"] =
         "<name> пробует монету на зуб.",
    --cower             Испугаться
        ["<name> cowers in fear!"] =
         "<name> ежится от страха!",
    --crazy             Безумие
        ["<name> looks a little crazy."] =
         "<name> явно не в себе.",
    --cry               Плакать
        ["<name> starts crying."] =
         "<name> начинает рыдать.",
    --curtsey           Реверанс
        ["<name> curtseys politely."] =
         "<name> делает вежливый реверанс.",
    --dance             Приплясывать
    --dance1            Первое па
    --dance2            Второе па
    --dance3            Третье па
        ["<name> begins dancing!"] =
         "<name> пускается в пляс!",
    --dance_dwarf       Первый танец гномов
    --dance_dwarf2      Второй танец гномов
        ["<name> begins dancing like a Dwarf!"] =
         "<name> начинает плясать на гномий манер!",
    --dance_elf         Первый танец эльфов
    --dance_elf2        Второй танец эльфов
        ["<name> begins dancing like an Elf!"] =
         "<name> начинает плясать на эльфийский манер!",
    --dance_hobbit      Первый танец хоббитов
    --dance_hobbit2     Второй танец хоббитов
        ["<name> begins dancing like a Hobbit!"] =
         "<name> начинает плясать на хоббичий манер!",
    --dance_jig         Джига
        ["<name> begins dancing the Jig!"] =
         "<name> начинает танцевать джигу!",
    --dance_man         Первый танец людей
    --dance_man2        Второй танец людей
    --dance_man3        Третий танец людей
        ["<name> begins dancing around like a man."] =
         "<name> пляшет, как брийский мужчина.",
        ["<name> begins dancing around like a woman."] =
         "<name> пляшет, как брийская женщина.",
    --dowse             Лозоходство
        ["?"] =
         "<name> ищет воду, как заправский лозоход.",
    --dream             Спать
        ["?"] =
         "",
    --drink             Выпить
        ["<name> takes a drink."] =
         "<name> пьет.",
    --drinkboot         Выпить из сапога
        ["?"] =
         "",
    --drive             Прямой удар клюшкой
        ["<name> performs a nice drive."] =
         "<name> проводит прямой удар по мячу.",
    --drool             Слюнки текут
        ["<name> drools a little."] =
         "<name> пускает слюнки.",
    --drunk             Выпивоха
        ["<name> stumbles about drunkenly."] =
         "<name> едва держится на ногах.",
    --dustoff           Отряхнуться
        ["<name> dusts himself off."] =
         "<name> отряхивается.",
        ["<name> dusts herself off."] =
         "<name> отряхивается.",
    --eat               Есть
        ["<name> has a little bite to eat."] =
         "<name> слегка перекусывает.",
    --faint             Обморок
        ["<name> faints dead away."] =
         "<name> лишается чувств.",
    --feather           Горсть перьев
        ["<name> tosses feathers into the air."] =
         "<name> бросает в воздух перья.",
    --fidget            Нервничать
        ["<name> is fidgeting restlessly."] =
         "<name> нервно суетится.",
    --fight             Драка!
        ["<name> wants to start the fight!"] =
         "<name> готовится к драке!",
    --firebreath        Огненное дыхание
        ["<name> puts on a fire-breathing performance!"] =
         "<name> изрыгает пламя!",
    --fishslap          Пощечина рыбой
        ["<name> slaps himself on the cheek with a cold fish."] =
         "<name> шлепает себя по щеке холодной рыбой.",
        ["<name> slaps herself on the cheek with a cold fish."] =
         "<name> шлепает себя по щеке холодной рыбой.",
    --flex              Показать мускулы
        ["<name> flexes mightily!"] =
         "<name> демонстрирует всем свои мускулы.",
    --flip              Кульбит
        ["<name> does a flip!"] =
         "<name> делает кульбит!",
    --flirt             Флиртовать
        ["<name> seems to be flirting with himself. That's really more than you needed to know."] =
         "<name> флиртует сам с собой. Ну, знаете ли!..",
        ["<name> seems to be flirting with herself. That's really more than you needed to know."] =
         "<name> флиртует сама с собой. Ну, знаете ли!..",
    --followme          Следуй за мной
        ["<name> want's everyone to follow."] =
         "<name> решает вести остальных за собой.",
    --giggle            Хихикать
        ["<name> giggles uncontrollably."] =
         "<name> безудержно хихикает.",
    --groundroll        Катание по земле
        ["<name> rolls around on the ground."] =
         "<name> начинает кататься по земле.",
    --grumble           Ворчать
        ["<name> grumbles about this and that."] =
         "<name> ворчит себе под нос.",
    --hail              Приветствовать
        ["<name> hails everyone."] =
         "<name> приветствует всех вокруг.",
    --handstand         Стойка на руке
        ["<name> performs a handstand!"] =
         "<name> делает стойку на руках!",
    --heave             Рвота
        ["?"] =
         "",
    --heropose          Героическая поза
        ["?"] =
         "<name> принимает героическую позу!",
    --howl              Вой
        ["?"] =
         "<name> начинает выть!",
    --hug               Обнять
        ["<name> hugs himself and seems happier."] =
         "<name> обнимает сам себя и улыбается.",
        ["<name> hugs herself and seems happier."] =
         "<name> обнимает сама себя и улыбается.",
    --impatient         Нетерпение
        ["<name> looks quite impatient."] =
         "<name> нетерпеливо смотрит по сторонам.",
    --innocent          Невинность
        ["<name> acts innocent."] =
         "<name> принимает невинный вид.",
    --inspectgem        Огранщик
        ["<name> inspects for quality."] =
         "<name> осматривает самоцвет, как заправский ювелир.",
    --jazzhands         Джаз
        ["<name> vigourously shakes their hands."] =
         "<name> энергично встряхивает руками.",
    --jjacks            Марионетка
        ["<name> does jumping jacks."] =
         "<name> изображает марионетку.",
    --juggle            Жонглировать
        ["<name> begins juggling!"] =
         "<name> жонглирует!",
    --jump              Прыжок
        ["<name> jumps around."] =
         "<name> весело прыгает.",
    --kiss              Воздушный поцелуй
        ["<name> puckers up."] =
         "<name> вытягивает губы трубочкой.",
    --kneel             Преклонить колено
        ["<name> kneels."] =
         "<name> опускается на колени.",
    --laugh             Смеяться
        ["<name> laughs."] =
         "<name> смеется.",
    --liedown           Лечь
        ["<name> lies down."] =
         "<name> ложится.",
    --lol               Хохотать
        ["<name> laughs out loud."] =
         "<name> заливается громким смехом.",
    --look              Смотреть
        ["<name> peers into the distance."] =
         "<name> смотрит вдаль.",
    --lookaround        Осмотреться
        ["<name> looks around."] =
         "<name> смотрит по сторонам.",
    --meditate          Размышлять
        ["<name> sits down and meditates quietly."] =
         "<name> погружается в размышления.",
    --mock              Дразниться
        ["<name> makes a mockery of himself."] =
         "<name> передразнивает сам себя.",
        ["<name> makes a mockery of herself."] =
         "<name> передразнивает сама себя.",
    --mood_angry        Настроение: злобное
        ["<name> is angry."] =
         "<name> злится.",
    --mood_apprehensive Настроение: тревожное
        ["<name> is apprehensive."] =
         "<name> тревожится.",
    --mood_calm         Настроение: спокойное
        ["<name> is calm."] =
         "<name> успокаивается.",
    --mood_confused     Настроение: смущенное
        ["<name> is confused."] =
         "<name> в замешательстве.",
    --mood_fearful      Настроение: испуганное
        ["<name> is fearful."] =
         "<name> ежится от страха.",
    --mood_happy        Настроение: счастливое
        ["<name> is happy."] =
         "<name> лучится счастьем.",
    --mood_mischievous  Настроение: вредное
        ["<name> is mischievous."] =
         "<name> вредничает.",
    --mood_sad          Настроение: грустное
        ["<name> is sad."] =
         "<name> грустит.",
    --mood_sleepy       Настроение: сонное
        ["<name> is sleepy."] =
         "<name> засыпает на ходу.",
    --mood_solemn       Настроение: торжественное
        ["<name> is solemn."] =
         "<name> принимает торжественный вид.",
    --mood_surprised    Настроение: изумленное
        ["<name> is surprised."] =
         "<name> в изумлении.",
    --mountbow          Поклон верхом
        ["<name>'s mount bows low."] =
         "<name> заставляет своего скакуна поклониться.",
    --mountkick         Удар копытами
        ["<name>'s mount kicks in the air."] =
         "<name> едва удерживает своего скакуна, который начинает брыкаться.",
    --mountrearup       На дыбы
        ["<name>'s mount rears up in a flourish."] =
         "<name> едва удерживает своего скакуна, который встает на дыбы.",
    --mourn             Скорбь
        ["<name> falls into mourning."] =
         "<name> скорбит.",
    --mumble            Бормотать
        ["<name> mumbles something. Speak up!"] =
         "<name> что-то бормочет. Нельзя ли погромче?",
    --munch             Жевать
        ["<name> munches on some food."] =
         "<name> что-то уминает.",
    --no                Нет
        ["<name> shakes his head. No way."] =
         "<name> качает головой. Ну уж нет!",
        ["<name> shakes her head. No way."] =
         "<name> качает головой. Ну уж нет!",
    --nothing           Ничего
        ["<name> does nothing."] =
         "<name> ничего не делает.",
    --oop               Нет энергии
        ["<name> is out of power."] =
         "<name> остается без энергии.",
    --pan               Золотоискатель
        ["?"] =
         "<name> просеивает породу в поисках золота.",
    --paper             Бумага
        ["<name> throws paper in a test of stone-paper-scissor."] =
         "<name> выбрасывает 'бумагу'",
    --pat               Погладить
        ["<name> pats his belly happily."] =
         "<name> поглаживает себя по животу.",
    --pick              Поправить трусы
        ["<name> picks a wedgie. How uncouth."] =
         "<name> поправляет трусы. Фи.",
    --point             Указывать
        ["<name> points something out."] =
         "<name> куда-то показывает.",
    --poke              Тыкать пальцем
        ["<name> pokes himself. Strange."] =
         "<name> толкает себя в бок. Зачем?..",
        ["<name> pokes herself. Strange."] =
         "<name> толкает себя в бок. Зачем?..",
    --pose              Позировать
        ["<name> poses!"] =
         "<name> позирует!",
    --pushups           Отжиматься
        ["<name> drops and starts doing pushups."] =
         "<name> принимает упор лежа и начинает отжиматься.",
    --putt              Завершающий удар клюшкой
        ["<name> performs a nice putt."] =
         "<name> проводит меткий завершающий удар.",
    --ready             Готовность
        ["<name> is ready."] =
         "<name> в полной готовности.",
    --resist            Сопротивляться
        ["<name> draws upon his hidden reserves of strength to resist falling into despair."] =
         "<name> собирается с духом и не дает волю отчаянию.",
        ["<name> draws upon her hidden reserves of strength to resist falling into despair."] =
         "<name> собирается с духом и не дает волю отчаянию.",
    --rest              Отдохнуть
        ["<name> asks for a short rest."] =
         "<name> просит о передышке.",
    --rich              Богач
        ["?"] =
         "<name> хвастается своим богатством.",
    --roar              Рычать
        ["<name> lets out a mighty ROAR!"] =
         "<name> грозно Р-Р-РЫЧИТ!",
    --rude              Непристойный жест
        ["<name> makes a rude gesture."] =
         "<name> делает непристойный жест.",
    --sad               Печаль
        ["<name> looks sad."] =
         "<name> грустит.",
    --salute            Салют
        ["<name> snaps off a quick salute."] =
         "<name> энергично салютует.",
    --scissor           Ножницы
        ["<name> throws scissor in a test of stone-paper-scissor."] =
         "<name> выбрасывает 'ножницы'.",
    --scold             Браниться
        ["<name> seems to be scolding someone."] =
         "<name> на кого-то бранится.",
    --scratch           Чесаться
        ["<name> begins scratching himself uncomfortably."] =
         "<name> начинает нервно чесаться.",
        ["<name> begins scratching herself uncomfortably."] =
         "<name> начинает нервно чесаться.",
    --shakefist         Грозить кулаком
        ["<name> shakes his fist in the air."] =
         "<name> потрясает в воздухе кулаком.",
        ["<name> shakes her fist in the air."] =
         "<name> потрясает в воздухе кулаком.",
    --shiver            Дрожать
        ["<name> shivers for a moment."] =
         "<name> содрагается.",
    --shrug             Пожать плечами
        ["<name> shrugs."] =
         "<name> пожимает плечами.",
    --sigh              Вздохнуть
        ["<name> sighs."] =
         "<name> вздыхает.",
    --sing              Петь
        ["<name> sings a short song."] =
         "<name> напевает простенькую песенку.",
    --sit               Сесть
        ["<name> sits down."] =
         "<name> садится.",
    --slap              Пощечина
        ["<name> slaps himself on the cheek."] =
         "<name> бьет себя по щеке.",
        ["<name> slaps herself on the cheek."] =
         "<name> бьет себя по щеке.",
    --smackhead         Удар по голове
        ["<name> smacks himself in the forehead."] =
         "<name> хлопает себя по лбу.",
        ["<name> smacks herself in the forehead."] =
         "<name> хлопает себя по лбу.",
    --smoke             Курить
        ["<name> begins to smoke."] =
         "<name> закуривает.",
    --smoke1            Поперхнуться дымом
        ["<name> chokes on his pipe smoke."] =
         "<name> поперхнулся трубочным дымом.",
        ["<name> chokes on her pipe smoke."] =
         "<name> поперхнулась трубочным дымом.",
    --sneeze            Чихание
        ["<name> sneezes."] =
         "<name> громко чихает.",
    --snowwizard        Снежный маг
        ["<name> creates a snow wizard."] =
         "<name> изображает снежного мага.",
    --sorry             Извиняться
        ["<name> is very sorry for that."] =
         "<name> искренне извиняется.",
    --spin              Пируэт
        ["<name> spins around."] =
         "<name> делает красивый пируэт.",
    --stare             Пристально глядеть
        ["<name> stares off at nothing."] =
         "<name> пялится в пустоту.",
    --stone             Камень
        ["<name> throws stone in a test of stone-paper-scissor."] =
         "<name> выбрасывает 'камень'.",
    --story             Рассказать историю
        ["<name> tells a story."] =
         "<name> рассказывает историю.",
    --stretch           Потягиваться
        ["<name> stretches out his muscles. It's time for adventure!"] =
         "<name> потягивается. Пора на поиски приключений!",
        ["<name> stretches out her muscles. It's time for adventure!"] =
         "<name> потягивается. Пора на поиски приключений!",
    --succumb           Отчаяние
        ["<name> succumbs to despair."] =
         "<name> впадает в отчаяние.",
    --surrender         Сдаюсь!
        ["<name> surrenders!"] =
         "<name> сдается.",
    --sweat             Потеть
        ["<name> sweats a bit."] =
         "<name> слегка потеет.",
    --swordsalute       Салют мечом
        ["<name> draws his sword in salute!"] =
         "<name> обнажает меч в салюте.",
        ["<name> draws her sword in salute!"] =
         "<name> обнажает меч в салюте.",
    --talk              Говорить
        ["<name> is chatting with everyone nearby."] =
         "<name> болтает со всеми, кто готов слушать.",
    --tantrum           Гнев
        ["<name> throws a violent tantrum."] =
         "<name> вспыхивает от гнева.",
    --tear              Слеза
        ["<name> sheds a single tear."] =
         "<name> роняет скупую слезу.",
    --thank             Поблагодарить
        ["<name> gives a hearty thank-you to everyone nearby."] =
         "<name> сердечно благодарит окружающих.",
    --think             Подумать
        ["<name> thinks for a moment."] =
         "<name> думает о том, что делать дальше.",
    --tickle            Щекотка
        ["<name> tickles himself."] =
         "<name> щекочет сам себя. Хи-хи!",
        ["<name> tickles herself."] =
         "<name> щекочет сама себя. Хи-хи!",
    --toast             Тост
        ["?"] =
         "",
    --wait              Подождать
        ["<name> seems to want to wait."] =
         "<name>, похоже, хочет подождать.",
    --warmhands         Греть руки
        ["<name> warms their hands."] =
         "<name> греет озябшие руки.",
    --wave              Помахать рукой
        ["<name> waves to everyone."] =
         "<name> машет всем вокруг.",
    --whippitydo        Восхищаться
        ["<name> doesn't seem that thrilled."] =
         "<name> в восхищении.",
    --whistle           Свистеть
        ["<name> whistles out loud."] =
         "<name> громко свистит.",
    --wince             Морщиться
        ["<name> winces suddenly."] =
         "<name> внезапно морщится.",
    --wink              Подмигнуть
        ["<name> winks. Does he know something?"] =
         "<name> подмигивает. Неужели он что-то знает?",
        ["<name> winks. Does she know something?"] =
         "<name> подмигивает. Неужели она что-то знает?",
    --wipesweat         Пот со лба
        ["<name> wipes sweat from their brow; that was close."] =
         "<name> облегченно вытирает пот со лба: уфф!",
    --yawn              Зевать
        ["<name> lets out a big yawn."] =
         "<name> глубоко зевает.",
    --yes               Да
        ["<name> nods in agreement."] =
         "<name> согласно кивает.",
}

-- Translations for emotes done by another player, where the target is indicated.
--  * In the keys, the <1> always appears in the first word, and the <2> always
--    appears in the last word, or word 3, 4, or 5.  If you add new strings that
--    don't conform to this, you need to modify translateOtherPlayerEmotes().
local otherPlayerWithTarget = {
    --agree             Соглашаться
        ["<1> agrees with <2>."] =
         "<1> соглашается. Правильно, <2>.",
    --ahem              Кашлять
        ["<1> coughs politely at <2>. Ahem!"] =
         "<1> привлекает к себе внимание вежливым покашливанием. Кхе-кхе, <2>.",
    --angry             Злиться
        ["<1> is angry with <2>."] =
         "<1> злится. Берегись, <2>.",
    --assist            На помощь
        ["<1> will assist <2>."] =
         "<1> спешит на выручку. Помощь идет, <2>!",
    --attack            В атаку!
        ["<1> wants to attack <2>."] =
         "<1> собирается идти в атаку. Ну, держись, <2>.",
    --beckon            Подозвать
        ["<1> beckons to <2>."] =
         "<1> призывно машет. Сюда, <2>!",
    --beg               Умолять
        ["<1> begs <2>."] =
         "<1> умоляет о помощи. Не откажи, <2>.",
    --blush             Покраснеть
        ["<1> glances at <2> and blushes."] =
         "Ах, <2>!.. <1>  краснеет.",
    --boo               Призрак
        [""] =
         "<1> пугает народ.",
    --bored             Скучать
        ["<1> yawns at <2> in boredom."] =
         "<1> зевает. <2> нагоняет такую скуку!..",
    --bother            Докучать
             ["<1> tries to bother <2>."] =
         "<1> решает кому-нибудь понадоедать. Эй, <2>!",
    --bow               Поклониться
        ["<1> bows deeply before <2>."] =
         "<1> отвешивает глубокий поклон. Наше почтение, <2>.",
    --bringiton         К бою готов
        [""] =
         "",
    --brb               Скоро буду
        ["<1> informs <2> that he'll be right back..."] =
         "<1> скоро вернется... <2>, подожди.",
    --burp              Отрыжка
        ["<1> burps at <2>. How rude!"] =
         "<1> рыгает. <2> все слышит. Как некультурно!",
    --bye               Попрощаться
        ["<1> waves goodbye to <2>."] =
         "<1> прощально машет рукой. До встречи, <2>!",
    --calm              Успокоить
        ["<1> encourages <2> to stay calm."] =
         "<1> бормочет умиротворяющие слова. Спокойно, спокойно, <2>.",
    --challenge         Бросить вызов
        ["<1> challenges <2> to personal battle!"] =
         "<1> бросает сопернику вызов. Выходи на честный бой, <2>!",
    --charge            В атаку!
        ["<1> starts to charge <2>."] =
         "<1> решает принять командование на себя. В таку, <2>!",
    --cheer             Одобрять
        ["<1> cheers at <2>."] =
         "<1> не может удержаться от одобрительного возгласа. Молодец,  <2>!",
    --chickenchip       Подсечка клюшкой в курином гольфе
        [""] =
         "",
    --chickendrive      Прямой удар клюшкой в курином гольфе
        [""] =
         "",
    --chickenfeather    Подбрасывать перья
        [""] =
         "",
    --chickenputt       Завершающий удар клюшкой в курином гольфе
        [""] =
         "",
    --chip              Подсечка клюшкой
        ["<1> chips the ball at <2>."] =
         "<1> подсекает мяч, направляя его туда, где стоит <2>.",
    --chuckle           Хихикать
        ["<1> chuckles at <2>."] =
         "<1> хихикает. <2> - смешное создание.",
    --clap              Похлопать
        ["<1> claps for <2>."] =
         "<1> хлопает в ладоши. Браво, <2>!",
    --coinflip          Орел или решка
        [""] =
         "<1> подбрасывает монетку.",
    --confused          Замешательство
        ["<1> looks at <2> in confusion."] =
         "<1> в замешательстве. Что такое, <2>?",
    --congratulate      Поздравить
        ["<1> congratulates <2> for a job well done."] =
         "<1> считает, что <2> заслуживает поздравлений.",
    --cough             Кашлять
        ["<1> gives <2> a polite cough."] =
         "<1> вежливо покашливает. Кхе-кхе, <2>!",
    --counterfeit       Проба на зуб
        [""] =
         "<1> пробует монету на зуб.",
    --cower             Испугаться
        ["<1> cowers in fear before <2>!"] =
         "<2>! <1> сжимается в комок от страха.",
    --crazy             Безумие
        ["<1> signs that <2> may be crazy."] =
         "<1> обращает всеобщее внимание на то, что <2> явно не в себе.",
    --curtsey           Реверанс
        ["<1> gives <2> a polite curtsey."] =
         "<1> приседает в реверансе. Наше почтение, <2>!",
    --dance             Приплясывать
    --dance1            Первое па
    --dance2            Второе па
    --dance3            Третье па
    --dance_dwarf       Первый танец гномов
    --dance_dwarf2      Второй танец гномов
    --dance_elf         Первый танец эльфов
    --dance_elf2        Второй танец эльфов
    --dance_hobbit      Первый танец хоббитов
    --dance_hobbit2     Второй танец хоббитов
    --dance_jig         Джига
    --dance_man         Первый танец людей
    --dance_man2        Второй танец людей
    --dance_man3        Третий танец людей
        ["<1> begins dancing with <2>."] =
         "<1> выбирает себе партнера для танцев. Спляшем, <2>?",
    --dowse             Лозоходство
        [""] =
         "<1> ищет воду, как заправский лозоход.",
    --dream             Спать
        [""] =
         "",
    --drink             Выпить
        ["<1> drinks to <2>'s health."] =
         "<1> поднимает бокал. Твое здоровье, <2>!",
    --drinkboot         Выпить из сапога
        [""] =
         "",
    --drive             Прямой удар клюшкой
        ["<1> drives the ball at <2>."] =
         "<1> проводит прямой удар по мячу, направляя его туда, где стоит <2>.",
    --drool             Слюнки текут
        ["<1> drools a little at <2>."] =
         "<2>! <1> пускает слюнки.",
    --drunk             Выпивоха
        ["<1> stumbles drunkenly into <2>."] =
         "<1> едва держится на ногах и поминутно натыкается на окружающих. Прости, <2>... Ик!",
    --faint             Обморок
        ["<1> glances at <2> and swoons."] =
         "<2>! <1> лишается чувств.",
    --feather           Горсть перьев
        ["<1> tosses feathers at <2>!"] =
         "<1> шутливо кидается перьями. Прячься, <2>!",
    --fidget            Нервничать
        ["<1> glances at <2> and fidgets nervously."] =
         "<2>! <1> нервно суетится.",
    --fight             Драка!
        ["<1> seems ready to fight <2>."] =
         "<1> готовится к драке. Ну, держись, <2>!",
    --firebreath        Огненное дыхание
        ["<1> puts on a fire-breathing performance for <2>!"] =
         "<1> изрыгает пламя. Нравится, <2>?",
    --fishslap          Пощечина рыбой
        ["<1> slaps <2> on the cheek with a cold fish."] =
         "<1> отвешивает пощечину холодной рыбой. Получай, <2>!",
    --flex              Показать мускулы
        ["<1> flexes mightily before <2>."] =
         "<1> демонстрирует свои мускулы. Как тебе, <2>?",
    --flirt             Флиртовать
        ["<1> starts flirting with <2>."] =
         "А <2> очень даже ничего!.. <1> решает пофлиртовать.",
    --followme          Следуй за мной
        ["<1> tells <2> to follow."] =
         "<1> делает призывный жест. Следуй за мной, <2>!",
    --giggle            Хихикать
        ["<1> giggles uncontrollably at <2>."] =
         "Да здесь <2>! <1> безудержно хихикает.",
    --grumble           Ворчать
        ["<1> grumbles at <2>."] =
         "<1> ворчит. Эх, <2>...",
    --hail              Приветствовать
        ["<1> hails <2>."] =
         "Это же <2>! <1> поднимает руку в приветственном жесте.",
    --handstand         Стойка на руке
        ["<1> performs a handstand for <2>."] =
         "<1> делает стойку на руках. Можешь так, <2>?",
    --heave             Рвота
        [""] =
         "",
    --heropose          Героическая поза
        [""] =
         "<1> принимает героическую позу. Смотри, <2>, какой герой!",
    --howl              Вой
        [""] =
         "<2>! <1> начинает выть.",
    --hug               Обнять
        ["<1> gives <2> a big hug."] =
         "<2>! <1> простирает объятия.",
    --impatient         Нетерпение
        ["<1> looks at <2> impatiently."] =
         "<1> нетерпеливо смотрит по сторонам. Может быть, начнем, <2>?",
    --innocent          Невинность
        ["<1> lets <2> know he is innocent."] =
         "<1> принимает невинный вид. Я тут не при чем, <2>!",
        ["<1> lets <2> know she is innocent."] =
         "<1> принимает невинный вид. Я тут не при чем, <2>!",
    --juggle            Жонглировать
        ["<1> begins juggling for <2>."] =
         "<1> жонглирует. Смотри, <2>!",
    --jump              Прыжок
        ["<1> jumps around for <2>."] =
         "<1> весело прыгает. Какой чудесный день, <2>!",
    --kiss              Воздушный поцелуй
        ["<1> kisses <2>."] =
         "<2>! <1> целует предмет своей страсти.",
    --kneel             Преклонить колено
        ["<1> kneels before <2>."] =
         "<2>! <1> опускается на колени.",
    --laugh             Смеяться
        ["<1> laughs at <2>."] =
         "<1> хохочет. Какое же ты смешное создание, <2>!",
    --liedown           Лечь
        ["<1> lies down next to <2>."] =
         "О, <2>! <1> ложится рядышком.",
    --lol               Хохотать
        ["<1> laughs out loud at <2>."] =
         "<1> заливается громким смехом. Какое же ты смешное создание, <2>!",
    --look              Смотреть
        ["<1> looks at <2>."] =
         "<1> оглядывается. Смотрите, здесь <2>!",
    --lookaround        Осмотреться
        ["<1> looks at <2>."] =
         "<1> оглядывается. Смотрите, здесь <2>!",
    --meditate          Размышлять
        ["<1> sits and meditates with <2>."] =
         "<1> погружается в размышления. Присоединишься, <2>?",
    --mock              Дразниться
        ["<1> openly mocks <2>."] =
         "<2> - прекрасная мишень для шуток! <1> начинает дразниться.",
    --mood_angry        Настроение: злобное
        ["<1> is angry at <2>."] =
         "<1> злится. Ух, <2>!..",
    --mood_apprehensive Настроение: тревожное
        ["<1> is apprehensive of <2>."] =
         "<1> считает, что <2> вызывает тревогу.",
    --mood_calm         Настроение: спокойное
        ["<1> is calmed by <2>."] =
         "<2>! <1> успокаивается.",
    --mood_confused     Настроение: смущенное
        ["<1> is confused by <2>."] =
         "<2> чем-то смущает окружающих. <1> в замешательстве.",
    --mood_fearful      Настроение: испуганное
        ["<1> is fearful of <2>."] =
         "<2>!!! <1> ежится от страха.",
    --mood_happy        Настроение: счастливое
        ["<1> has made <2> happy."] =
         "<2> улыбается. <1>! Один твой взгляд - счастье.",
    --mood_mischievous  Настроение: вредное
        ["<1> has made <2> mischievous."] =
         "<2> вредничает. Это все <1>!",
    --mood_sad          Настроение: грустное
        ["<1> has made <2> sad."] =
         "<2> грустит. Это все <1>!",
    --mood_sleepy       Настроение: сонное
        ["<1> has made <2> sleepy."] =
         "<2> зевает. <1> нагоняет такую дремоту!..",
    --mood_solemn       Настроение: торжественное
        ["<1> has made <2> solemn."] =
         "<2> принимает торжественный вид. Так-то, <1>!",
    --mood_surprised    Настроение: изумленное
        ["<1> is surprised by <2>."] =
         "<1> приходит в изумление. Ничего себе, <2>!",
    --mountbow          Поклон верхом
        ["<1>'s mount bows low to <2>."] =
         "<2>! <1> заставляет своего скакуна поклониться.",
    --mountkick         Удар копытами
        ["<1>'s mount kicks in the air toward <2>."] =
         "<2> подходит ближе, и <1> едва удерживает своего скакуна, который начинает брыкаться.",
    --mountrearup       На дыбы
        ["<1>'s mount rears up in a flourish near <2>."] =
         "<2> подходит ближе, и <1> едва удерживает своего скакуна, который встает на дыбы.",
    --mourn             Скорбь
        ["<1> mourns the fate of <2>."] =
         "<1> склоняет голову. <2>, твоя судьба заслуживает скорби.",
    --mumble            Бормотать
        ["<1> mumbles at <2>. Speak up!"] =
         "<1> что-то бормочет. Только <2> и может разобрать слова.",
    --no                Нет
        ["<1> shakes his head 'no' to <2>."] =
         "<1> качает головой. Нет, <2>! И точка.",
        ["<1> shakes her head 'no' to <2>."] =
         "<1> качает головой. Нет, <2>! И точка.",
    --nothing           Ничего
        ["<1> doesn't do anything to <2>."] =
         "<1> ничего не делает. Ясно, <2>?",
    --oop               Нет энергии
        ["<1> indicates he is out of power to <2>."] =
         "<1> объявляет, что у него не осталось энергии. <2>, придется подождать, прежде чем снова бросаться в бой!",
        ["<1> indicates she is out of power to <2>."] =
         "<1> объявляет, что у нее не осталось энергии. <2>, придется подождать, прежде чем снова бросаться в бой!",
    --pan               Золотоискатель
        [""] =
         "<1> просеивает породу в поисках золота.",
    --paper             Бумага
        ["<1> throws paper against <2> in a test of stone-paper-scissor."] =
         "<1> выбрасывает 'бумагу'. А что у <2>?",
    --pat               Погладить
        ["<1> pats <2> on the head."] =
         "<1> решает, что <2> заслуживает поглаживания по голове.",
    --point             Указывать
        ["<1> points at <2>."] =
         "<1> тычет пальцем: это <2>!",
    --poke              Тыкать пальцем
        ["<1> pokes <2>. Hey!"] =
         "<1> толкает соседа в бок. Эй, <2>!",
    --pose              Позировать
        ["<1> poses before <2>."] =
         "<1> позирует. Нравится, <2>?",
    --putt              Завершающий удар клюшкой
        ["<1> putts the ball at <2>."] =
         "<1> проводит удар, загоняя мяч туда, где стоит <2>.",
    --ready             Готовность
        ["<1> indicates to <2> that he is ready."] =
         "<1> сообщает о своей готовности. Можно начинать, <2>!",
        ["<1> indicates to <2> that she is ready."] =
         "<1> сообщает о своей готовности. Можно начинать, <2>!",
    --rest              Отдохнуть
        ["<1> asks <2> to stop for a short rest."] =
         "<1> просит о передышке. Нужен отдых, <2>!",
    --rich              Богач
        [""] =
         "<2> завидует легкости, с которой <1> швыряется монетами.",
    --roar              Рычать
        ["<1> roars at <2>!"] =
         "<1> рычит. Бойся, <2>!",
    --rude              Непристойный жест
        ["<1> gestures rudely towards <2>."] =
         "<2>? <1> делает непристойный жест.",
    --sad               Печаль
        ["<1> becomes sad with <2>."] =
         "<2> навевает печаль. <1> грустит.",
    --salute            Салют
        ["<1> salutes <2>."] =
         "<1> салютует. Здравия желаю, <2>!",
    --scissor           Ножницы
        ["<1> throws scissor against <2> in a test of stone-paper-scissor."] =
         "<1> выбрасывает 'ножницы'. А что у <2>?",
    --scold             Браниться
        ["<1> scolds <2>."] =
         "<1> бранится. <2> кого угодно выведет из себя.",
    --shakefist         Грозить кулаком
        ["<1> shakes his fist angrily at <2>!"] =
         "<1> грозит кулаком. Берегись, <2>!",
        ["<1> shakes her fist angrily at <2>!"] =
         "<1> грозит кулаком. Берегись, <2>!",
    --shiver            Дрожать
        ["<1> looks at <2> and shivers."] =
         "<2>! <1> содрагается.",
    --shrug             Пожать плечами
        ["<1> shrugs at <2>."] =
         "<1> пожимает плечами. Странное ты создание, <2>.",
    --sigh              Вздохнуть
        ["<1> sighs at <2>."] =
         "<1> вздыхает. Увы, <2>!",
    --sing              Петь
        ["<1> sings to <2>."] =
         "<1> напевает простенькую песенку. Нравится, <2>?",
    --sit               Сесть
        ["<1> sits with <2>."] =
         "Ага, <2>! <1> садится рядышком.",
    --slap              Пощечина
        ["<1> slaps <2> on the cheek."] =
         "<1> влепляет соседу пощечину. Получи, <2>!",
    --smoke             Курить
        ["<1> begins to smoke with <2>."] =
         "<1> набивает трубочку. Покурим, <2>?",
    --sneeze            Чихание
        ["<1> sneezes at <2>."] =
         "<1> громко чихает. Прости, <2>!",
    --sorry             Извиняться
        ["<1> apologises to <2>."] =
         "<1> извиняется. Прости, <2>, ошибка вышла.",
    --spin              Пируэт
        ["<1> spins into <2>."] =
         "<1> делает красивый пируэт. Нравится, <2>?",
    --stare             Пристально глядеть
        ["<1> gives <2> a hard stare down."] =
         "<1> вправе так смотреть. <2> заслуживает этого тяжелого, неодобрительного взгляда.",
    --stone             Камень
        ["<1> throws stone against <2> in a test of stone-paper-scissor."] =
         "<1> выбрасывает 'камень'. А что у <2>?",
    --story             Рассказать историю
        ["<1> tells a story to <2>."] =
         "<1> рассказывает историю. Слушай, <2>!",
    --stretch           Потягиваться
        ["<1> stretches to catch <2>'s attention. Someone is ready for adventure!"] =
         "<1> потягивается. <2> наверняка заметит этот жест и поймет, что пора на поиски приключений!",
    --succumb           Отчаяние
        ["<1> gazes at <2> and succumbs to despair."] =
         "Да это же <2>!.. <1> впадает в отчаяние.",
    --surrender         Сдаюсь!
        ["<1> surrenders to <2>!"] =
         "<1> сдается на милость победителя. Верши чужую судьбу, <2>!",
    --sweat             Потеть
        ["<1> is causing <2> to sweat a bit."] =
         "<2> еще заставит всех попотеть. <1> уже чувствует это на себе.",
    --swordsalute       Салют мечом
        ["<1> draws his sword in salute to <2>!"] =
         "<1> обнажает меч в салюте. Здравия желаю, <2>!",
        ["<1> draws her sword in salute to <2>!"] =
         "<1> обнажает меч в салюте. Здравия желаю, <2>!",
    --talk              Говорить
        ["<1> talks with <2>."] =
         "<1> хочет беседовать. Поговорим, <2>?",
    --tantrum           Гнев
        ["<1> launches into a violent tantrum towards <2>!"] =
         "<1> срывает гнев на первом встречном. Им оказывается <2>...",
    --tear              Слеза
        ["<1> sheds a single tear for <2>."] =
         "<1> роняет скупую слеху. Эх, <2>!",
    --thank             Поблагодарить
        ["<1> thanks <2> heartily for his help!"] =
         "<1> рассыпается в благодарностях. Спасибо за помощь, <2>!",
        ["<1> thanks <2> heartily for her help!"] =
         "<1> рассыпается в благодарностях. Спасибо за помощь, <2>!",
    --think             Подумать
        ["<1> thinks about <2>."] =
         "<1> задумывается. Что делать дальше, <2>?",
    --tickle            Щекотка
        ["<1> tickles <2>."] =
         "Интересно, <2> боится щекотки? Сейчас <1> это проверит!",
    --toast             Тост
        [""] =
         "",
    --wait              Подождать
        ["<1> asks <2> to wait."] =
         "<1> просит подождать. Не торопись, <2>!",
    --wave              Помахать рукой
        ["<1> waves to <2>."] =
         "<1> машет рукой. Привет, <2>!",
    --whippitydo        Восхищаться
        ["<1> doesn't seem that thrilled with <2>."] =
         "<1> считает, что <2> заслуживает восхищения.",
    --whistle           Свистеть
        ["<1> whistles at <2>."] =
         "<1> свистит. Эй, <2>!",
    --wince             Морщиться
        ["<1> looks at <2> and winces suddenly."] =
         "Да это же <2>! <1> внезапно морщится.",
    --wink              Подмигнуть
        ["<1> winks at <2>. Interesting."] =
         "<1> подмигивает. Неужели <2> что-то знает?.. Любопытно...",
    --yawn              Зевать
        ["<1> yawns at <2>."] =
         "<1> глубоко зевает. Ты зануда, <2>.",
    --yes               Да
        ["<1> nods in agreement with <2>."] =
         "<1> согласно кивает. Конечно, <2>!",
};

-- Function for translating emote messages generated by the current player.
local function translatePlayerEmotes(message, playerName, targetName)

    -- Make a search string from the message with player name and target name replaced by <name> and <target>
    local key = string.gsub(message, playerName, "<name>");
    if (targetName) then
        key = string.gsub(key, targetName, "<target>");
    end
    
    -- Do hash table lookup
    local value = playerInitiated[key];
    if (value) then
        -- Replace <name> and <target> in generated string with actual player name and target name
        value = string.gsub(value, "<name>", playerName);
        if (targetName) then
            value = string.gsub(value, "<target>", targetName);
        end
        return value;
    end

    return nil; -- no match
end

-- Function for translating emote messages generated by a different player.
local function translateOtherPlayerEmotes(message)

    -- Make a search string from the message with the first word replaced by "<name>".
    local otherPlayerName = string.match(message, "^([^%s']+)");
    local key = string.gsub(message, "^[^%s']+", "<name>");
    
    -- Do hash table lookup for "<name> ..." strings
    local value = otherPlayerNoTarget[key];
    if (value) then
        -- Replace <name> in generated string with actual player name
        return string.gsub(value, "<name>", otherPlayerName);
    end
    
    -- Split the message into a list of words.  We must group consecutive capitalized
    -- words together as one, because some NPCs have more than one word in their names.
    words, prevWordCapitalized = {}, false;
    for word in string.gmatch(message, "%S+") do
        if (string.match(word, "^%u")) then
            if (prevWordCapitalized) then
                words[#words] = words[#words] .. " " .. word;
            else
                table.insert(words, word);
            end
            prevWordCapitalized = true;
        else
            table.insert(words, word);
            prevWordCapitalized = false;
        end
    end
    
    -- Put "<1>" in the first word of the sentence.
    local firstName, firstSuffix = string.match(words[1], "^([^'!.?]+)('?s?%p*)$");
    words[1] = "<1>" .. (firstSuffix or "");
    
    -- Try putting <2> in the third, fourth, fifth, or last word in the sentence.
    nValues = { #words, 3, 4, 5 };
    for x = 1, #nValues, 1 do
        local n = nValues[x];
        if (n > #words) then
            break;
        end

        -- Put "<2>" in the nth word of the sentence.
Puts("n = " .. n .. "; words = " .. Serialize(words));        
        local secondName, secondSuffix = string.match(words[n], "^([^'!.?]+)('?s?%p*)$");
        words[n] = "<2>" .. (secondSuffix or "");
        
        -- Do hash table lookup for "<1> ... <2> ..." strings
        local key = table.concat(words, " ");
        value = otherPlayerWithTarget[key];
        if (value) then
            -- Replace <1> and <2> in generated string with actual names of player and target
            value = string.gsub(value, "<1>", firstName);
            return string.gsub(value, "<2>", secondName);
        end
        
        -- Restore words list to original text to prepare for next iteration.
        words[n] = secondName .. (secondSuffix or "");
    end
    
    return nil; -- no match
end

local function translate(channel, message, playerName, targetName)
    local outMessage;
    
    -- Emote initiated by the player.
    outMessage = translatePlayerEmotes(message, playerName, targetName);
    
    -- Emote initiated by another player.
    if (not outMessage) then
        outMessage = translateOtherPlayerEmotes(message);
    end
    
    -- Unrecognized message.  Pass through without translation.
    if (not outMessage) then
        outMessage = message;
    end
    
    return outMessage;
end

RussianEmotesFilter = {
    { Turbine.ChatType.Emote, translate };
};

